Subject: bug#4177: 23.1; whitespace-mode and typing spaces

From: Vinicius Jose Latorre <[email-masked]>
Date: Sun, 13 Sep 2009 22:52:20 -0300

Hi Eli,

All problems you had pointed out are due to the way whitespace uses 
font-lock.

I'll try to modified the font-lock programming using some functions 
(plus regular
expressions) instead of only regular expressions.

BTW, you said you are using quiet colors, could you send me back these 
colors?

 > `whitespace-mode' is generally very useful, but there are some
 > annoyances:
 >
 > * Unlike `show-trailing-whitespace', spaces at the end of a line are
 >   shown even if the cursor is right after them.  This means that just
 >   typing some text is flashing the highlights on and off (I'm sure
 >   that this would be extremely unpleasant if I wouldn't have chosen a
 >   very quiet color for that...).
 >
 > * In a similar way, if you type some stuff on a first line, then hit
 >   enter a few times, the whole empty part is highlighted (if empty
 >   line at the bob/eob are highlighted).  This is similar because in
 >   this case it is also likely that more text will eventually be
 >   entered.
 >
 > * There is another problems with highlighting the initial/final
 >   segment of empty lines -- looks like it's the problem of using
 >   font-lock with a multi-line pattern, which means that it's not
 >   dealing with it gracefully (eg, adding a line will un-highlight only
 >   the line right next to it).  Together with the last point, this
 >   means that if you do something like this (in a fresh buffer):
 >
 >     foo RET RET RET RET bar RET
 >
 >
 >   you're left with the middle highlighted.

Thanks for your report,

Vinicius